libthai 0.1.28

Functions
thstr.h File Reference

Thai string manipulators. More...

## Functions
size_t | th_normalize (thchar_t dest[], const thchar_t *src, size_t n)
| Normalize character order and remove excessive characters. More...

## Detailed Description

Thai string manipulators.

## Function Documentation

## ◆ th_normalize()

size_t th_normalize | ( | thchar_t | dest[],
|  | const thchar_t * | src,
|  | size_t | n
| ) |  |

Normalize character order and remove excessive characters.

Parameters

  dest | : the destination string buffer
  src | : the string to normalize
  n | : the size of dest buffer

Returns
  total bytes written to dest, excluding the terminating '\0'.

Corrects combining character order and remove excessive characters. At most n characters are put in dest.